安装fcitx 3.6.3 时出错(make步骤)

为当前最终发行版之前的所有版本提供支持
回复
风之雪
帖子: 8
注册时间: 2011-02-11 13:43
送出感谢: 0
接收感谢: 0

安装fcitx 3.6.3 时出错(make步骤)

#1

帖子 风之雪 » 2011-02-11 20:11

如题,具体错误代码如下

make all-recursive
make[1]: 正在进入目录 `/tmp/fcitx-3.6.3'
Making all in doc
make[2]: 正在进入目录 `/tmp/fcitx-3.6.3/doc'
make[2]: 没有什么可以做的为 `all'。
make[2]:正在离开目录 `/tmp/fcitx-3.6.3/doc'
Making all in xpm
make[2]: 正在进入目录 `/tmp/fcitx-3.6.3/xpm'
make[2]: 没有什么可以做的为 `all'。
make[2]:正在离开目录 `/tmp/fcitx-3.6.3/xpm'
Making all in lib
make[2]: 正在进入目录 `/tmp/fcitx-3.6.3/lib'
gcc -DHAVE_CONFIG_H -I. -I.. -c -O2 -fno-strength-reduce -fno-strict-aliasing -g -O2 -INONE -INONE -D_ENABLE_TRAY -INONE -INONE -INONE -Wall -MT FrameMgr.o -MD -MP -MF .deps/FrameMgr.Tpo -c -o FrameMgr.o FrameMgr.c
FrameMgr.c:29: fatal error: X11/Xlibint.h: 没有那个文件或目录
compilation terminated.
make[2]: *** [FrameMgr.o] 错误 1
make[2]:正在离开目录 `/tmp/fcitx-3.6.3/lib'
make[1]: *** [all-recursive] 错误 1
make[1]:正在离开目录 `/tmp/fcitx-3.6.3'
make: *** [all] 错误 2
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 安装fcitx 3.6.3 时出错(make步骤)

#2

帖子 lainme » 2011-02-11 20:32

……简单的方法,使用最新版fcitx

代码: 全选

sudo add-apt-repository ppa:wengxt/fcitx-nightly
sudo apt-get update.
sudo apt-get install fcitx fcitx-config-gtk
来自PPA源: https://launchpad.net/~wengxt/+archive/fcitx-nightly

如果你一定要自己编译,先把libx11-dev装上,再重新编译看看
头像
大宝
帖子: 2870
注册时间: 2008-06-30 22:32
送出感谢: 0
接收感谢: 10 次
联系:

Re: 安装fcitx 3.6.3 时出错(make步骤)

#3

帖子 大宝 » 2011-02-11 21:08

Fcitx,现在我也用源来装了
天使ッ翼
帖子: 679
注册时间: 2010-06-19 11:44
送出感谢: 2 次
接收感谢: 0

Re: 安装fcitx 3.6.3 时出错(make步骤)

#4

帖子 天使ッ翼 » 2011-02-11 21:16

lainme 写了:……简单的方法,使用最新版fcitx

代码: 全选

sudo add-apt-repository ppa:wengxt/fcitx-nightly
sudo apt-get update.
sudo apt-get install fcitx fcitx-config-gtk
来自PPA源: https://launchpad.net/~wengxt/+archive/fcitx-nightly

如果你一定要自己编译,先把libx11-dev装上,再重新编译看看
ppa的源都去哪找?我其他软件也想要最新的,比如火狐浏览器
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 安装fcitx 3.6.3 时出错(make步骤)

#5

帖子 lainme » 2011-02-11 21:20

多在launchpad上

当然getdeb也不错

还有就是软件官方提供的了
回复

回到 “老旧版本支持”